## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemLiteralResult Class Reference

`#include <ElemLiteralResult.hpp>`

Inheritance diagram for ElemLiteralResult:

[legend]
Collaboration diagram for ElemLiteralResult:

[legend]
List of all members.

## Public Methods

- ElemLiteralResult (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to a literal result element. More...
- virtual ~ElemLiteralResult ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void postConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler)
    Called after construction is completed. More...
- virtual bool isAttrOK (const XalanDOMChar *attrName, const AttributeListType &atts, int which, StylesheetConstructionContext &constructionContext) const
    See if this is a xmlns attribute or in a non-XSLT. More...
- virtual void execute (StylesheetExecutionContext &executionContext) const
    Execute the element's primary function. More...

## Protected Methods

- void init (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts)
    Do common initialization. More...
- ElemLiteralResult (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber, int xslToken)
    Construct an object corresponding to a literal result element. More...
- virtual void namespacesPostConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler, NamespacesHandler &theHandler)
    Called after construction is completed. More...

## Constructor & Destructor Documentation

ElemLiteralResult::ElemLiteralResult ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMChar * name,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

  | Construct an object corresponding to a literal result element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemLiteralResult::~ElemLiteralResult ( | )`[virtual]`

ElemLiteralResult::ElemLiteralResult ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMChar * name,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber,
| int xslToken )`[protected]`

  | Construct an object corresponding to a literal result element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
  xslToken | The xsl token value for this class

## Member Function Documentation

void ElemLiteralResult::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Execute the element's primary function. Subclasses of this function may recursively execute down the element tree. Parameters:
  executionContext | The current execution context
Reimplemented from ElemUse. Reimplemented in ElemExtensionCall.

const XalanDOMString & ElemLiteralResult::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemUse.

void ElemLiteralResult::init ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMChar * name,
| const AttributeListType & atts )`[protected]`

  | Do common initialization. Parameters:
  constructionContext | The current onstruction context.
  stylesheetTree | The stylesheet containing the element.
  name | The name of the element.
  atts | The list of attributes for the element.

bool ElemLiteralResult::isAttrOK ( | const XalanDOMChar * attrName,
| const AttributeListType & atts,
| int which,
| StylesheetConstructionContext & constructionContext ) const`[virtual]`

  | See if this is a xmlns attribute or in a non-XSLT. Parameters:
  attrName | qualified name of attribute
  atts | attribute list where the element comes from (not used at this time)
  which | index into the attribute list (not used at this time)
  constructionContext | The current construction context
Returns: true if this is a namespace name Reimplemented from ElemTemplateElement.

void ElemLiteralResult::namespacesPostConstruction ( | StylesheetConstructionContext & constructionContext,
| const NamespacesHandler & theParentHandler,
| NamespacesHandler & theHandler )`[protected, virtual]`

| Called after construction is completed. This is a hook for deriving classes to handle post-construction with the instances HamespaceHandler instance, which is otherwise only available through a const accessor. Reimplemented from ElemTemplateElement.

void ElemLiteralResult::postConstruction ( | StylesheetConstructionContext & constructionContext,
| const NamespacesHandler & theParentHandler )`[virtual]`

| Called after construction is completed. Reimplemented from ElemUse.

The documentation for this class was generated from the following file:

- ElemLiteralResult.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.